package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmSettlementHeadsForm extends HrmBaseForm {
  String advanceDescription;
  
  String[] txtHeadName;
  
  String[] txtMaxLimit;
  
  private ArrayList arrSettleHeads = new ArrayList();
  
  String selectAll;
  
  String disabadvanceDescription;
  
  String disabtxtHeadName;
  
  String disabtxtMaxLimit;
  
  String disabadvanceCode;
  
  String disabbutAdvanceCode;
  
  String advCodeId;
  
  String disabbutAdvanceDescription;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getAdvanceDescription() {
    return this.advanceDescription;
  }
  
  public void setAdvanceDescription(String newAdvanceDescription) {
    this.advanceDescription = newAdvanceDescription;
  }
  
  public String[] getTxtHeadName() {
    return this.txtHeadName;
  }
  
  public String[] getTxtMaxLimit() {
    return this.txtMaxLimit;
  }
  
  public ArrayList getArrSettleHeads() {
    return this.arrSettleHeads;
  }
  
  public void setArrSettleHeads(ArrayList newArrSettleHeads) {
    this.arrSettleHeads = newArrSettleHeads;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public void setTxtMaxLimit(String[] newTxtMaxLimit) {
    this.txtMaxLimit = newTxtMaxLimit;
  }
  
  public void setTxtHeadName(String[] newTxtHeadName) {
    this.txtHeadName = newTxtHeadName;
  }
  
  public String getDisabadvanceDescription() {
    return this.disabadvanceDescription;
  }
  
  public void setDisabadvanceDescription(String newDisabadvanceDescription) {
    this.disabadvanceDescription = newDisabadvanceDescription;
  }
  
  public String getDisabtxtHeadName() {
    return this.disabtxtHeadName;
  }
  
  public void setDisabtxtHeadName(String newDisabtxtHeadName) {
    this.disabtxtHeadName = newDisabtxtHeadName;
  }
  
  public String getDisabtxtMaxLimit() {
    return this.disabtxtMaxLimit;
  }
  
  public void setDisabtxtMaxLimit(String newDisabtxtMaxLimit) {
    this.disabtxtMaxLimit = newDisabtxtMaxLimit;
  }
  
  public String getDisabadvanceCode() {
    return this.disabadvanceCode;
  }
  
  public void setDisabadvanceCode(String newDisabadvanceCode) {
    this.disabadvanceCode = newDisabadvanceCode;
  }
  
  public String getDisabbutAdvanceCode() {
    return this.disabbutAdvanceCode;
  }
  
  public void setDisabbutAdvanceCode(String newDisabbutAdvanceCode) {
    this.disabbutAdvanceCode = newDisabbutAdvanceCode;
  }
  
  public String getAdvCodeId() {
    return this.advCodeId;
  }
  
  public void setAdvCodeId(String newAdvCodeId) {
    this.advCodeId = newAdvCodeId;
  }
  
  public String getDisabbutAdvanceDescription() {
    return this.disabbutAdvanceDescription;
  }
  
  public void setDisabbutAdvanceDescription(String newDisabbutAdvanceDescription) {
    this.disabbutAdvanceDescription = newDisabbutAdvanceDescription;
  }
}
